using System;

namespace zad_1_kv1
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string c1 = s.Substring(0, 1);
            string c2 = s.Substring(1, 1);
            string[] r = Console.ReadLine().Split(' ');
            int a1 = int.Parse(r[0]);
            int a2 = int.Parse(r[1]);
            string res = "";
            if (a1 == a2)
            {
                for (int i = 0; i < 2 * a1; i++)
                {
                    if (i % 2 == 0)
                    {
                        res += c1;
                    }
                    else
                    {
                        res += c2;
                    }
                }
            }
            else   if (a1 == a2 + 1)
            {
                for (int i = 0; i < a1 + a2; i++)
                {
                    if (i % 2 == 0)
                    {
                        res += c1;
                    }
                    else
                    {
                        res += c2;
                    }
                }
            }
                 else   if (a1 == a2 - 1)
            {
                for (int i = 0; i < a1 + a2; i++)
                {
                    if (i % 2 == 0)
                    {
                        res += c2;
                    }
                    else
                    {
                        res += c1;
                    }
                }
            }
            else
            {
                res = "nemoguce";
            }

            Console.WriteLine(res);
            Console.ReadKey();

        }
    }
}